## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global build_type_safety_c 0

Name:           deepin-system-monitor
Version:        6.5.8
Release:        %autorelease
Summary:        A more user-friendly system monitor
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-system-monitor
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(Dtk6Core)
BuildRequires:  cmake(Dtk6Gui)
BuildRequires:  cmake(Dtk6Widget)

BuildRequires:  pkgconfig(libpcap)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  libicu-devel

BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(dde-dock)
BuildRequires:  pkgconfig(libnl-3.0)
BuildRequires:  pkgconfig(libnl-route-3.0)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  cmake(PolkitQt6-1)

BuildRequires:  deepin-gettext-tools

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme
Requires:       deepin-qt5integration%{?_isa}
Recommends:     deepin-manual

%description
%{summary}.

%prep
%autosetup -p1
sed -i 's|/usr/lib/x86_64-linux-gnu/qt5/bin/lrelease|%{_bindir}/lrelease-qt5|' \
    deepin-system-monitor-plugin/translations/translate_generation.sh

%build
# https://github.com/linuxdeepin/developer-center/issues/7217
%cmake -GNinja -DUSE_DEEPIN_WAYLAND=OFF
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-qt
%find_lang %{name}-plugin --with-qt
%find_lang %{name}-plugin-popup --with-qt
rm %{buildroot}%{_datadir}/%{name}/translations/%{name}.qm

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang -f %{name}-plugin.lang -f %{name}-plugin-popup.lang
%doc README.md
%license LICENSE
%{_bindir}/deepin-system-monitor
%{_bindir}/deepin-system-monitor-server
%{_bindir}/deepin-system-monitor-plugin-popup
%{_prefix}/lib/deepin-daemon/deepin-system-monitor-system-server
%{_prefix}/lib/dde-dock/plugins/libdeepin-system-monitor-plugin.so
%{_libdir}/deepin-service-manager/libdeepin-system-monitor-daemon.so
%{_datadir}/applications/deepin-system-monitor.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/dbus-1/system-services/org.deepin.SystemMonitorSystemServer.service
%{_datadir}/dbus-1/system.d/org.deepin.SystemMonitorSystemServer.conf
%{_unitdir}/deepin-system-monitor-system-server.service
%{_datadir}/deepin-log-viewer/deepin-log.conf.d/org.deepin.system-monitor.json
%{_datadir}/deepin-service-manager/other/deepin-system-monitor-system-server.json
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/deepin-manual/
%{_datadir}/deepin-service-manager/user/deepin-system-monitor-daemon.json
%{_datadir}/dsg/configs/org.deepin.system-monitor/*.json
%{_datadir}/dde-dock/icons/dcc-setting/dcc-system-monitor.dci

%changelog
## START: Generated by rpmautospec
* Thu Mar 27 2025 Zhengyu He <hezhy472013@gmail.com> - 6.5.8-1
- 6.5.8

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 10 2024 topazus <topazus@outlook.com> - 6.0.23-4
- Disable CMake USE_DEEPIN_WAYLAND option

* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 6.0.23-3
- fix build

* Fri Aug 16 2024 Felix Wang <topazus@outlook.com> - 6.0.23-2
- rebuild with deepin-dock

* Sat Aug 10 2024 Felix Wang <topazus@outlook.com> - 6.0.23-1
- 6.0.23

* Fri Jul 26 2024 topazus <topazus@outlook.com> - 6.0.20-1
- 6.0.20

* Fri Jul 26 2024 topazus <topazus@outlook.com> - 6.0.16-1
- 6.0.16

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 6.0.3-1
- New release 6.0.3

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 František Zatloukal <fzatlouk@redhat.com> - 5.9.17-5
- Rebuilt for ICU 73.2

* Sun Apr 16 2023 Florian Weimer <fweimer@redhat.com> - 5.9.17-4
- C99 compatibility fix

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.9.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 31 2022 Pete Walter <pwalter@fedoraproject.org> - 5.9.17-2
- Rebuild for ICU 72

* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.9.17-1
- New release 5.9.17

* Mon Aug 01 2022 František Zatloukal <fzatlouk@redhat.com> - 5.8.14-4
- Rebuilt for ICU 71.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.8.14-1
- New release 5.8.14

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.8-1
- New release 5.8.8

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Pete Walter <pwalter@fedoraproject.org> - 5.8.0.4-2
- Rebuild for ICU 69

* Fri Mar 12 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.8.0.4-1
- chore: 添加性能打点处理 (maojunjie)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.8.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.8.0.1-1
- new upstream release: 5.8.0.1

* Wed Sep  2 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-5
- Rebuild for libprocps

* Thu Aug  6 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-4
- Applied a patch to fix build with Qt 5.14

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-1
- Release 5.0.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 1.4.8.1-1
- Update to 1.4.8.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 1.4.8-1
- Update to 1.4.8

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 1.4.7-1
- Update to 1.4.7

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 1.4.6-1
- Update to 1.4.6

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 1.4.5-1
- Update to 1.4.5

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.7-4
- Rebuild for procps-ng-3.3.15

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.7-2
- Remove obsolete scriptlets

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 1.3.7-1
- Update to 1.3.7

* Mon Oct 23 2017 mosquito <sensor.wen@gmail.com> - 1.3.5-1
- Update to 1.3.5

* Tue Oct 17 2017 mosquito <sensor.wen@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 1.3-1
- Update to 1.3

* Tue Aug  1 2017 mosquito <sensor.wen@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 15 2017 mosquito <sensor.wen@gmail.com> - 0.0.4-1.gita73357d
- Initial build

## END: Generated by rpmautospec
